Name:			perl-PlRPC
Version:		0.2020
Release:		1%{?dist}
License:		GPL+ or Artistic
Group:			Development/Libraries
Summary:		Interface for building pServer Clients
Url:			http://search.cpan.org/dist/PlRPC
Source0:		http://search.cpan.org/CPAN/authors/id/M/MN/MNOONING/PlRPC/PlRPC-%{version}.tar.gz
Patch0:			PlRPC.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch
BuildRequires:	perl(Net::Daemon) >= 0.13
BuildRequires:	perl(Storable)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:		perl(Net::Daemon) >= 0.13
Requires:		perl(Storable)
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
PlRPC (Perl RPC) is a package that simplifies the writing of Perl based
client/server applications. RPC::PlServer is the package used on the server
side, and you guess what RPC::PlClient is for. See L<RPC::PlServer(3)> for
this part.

PlRPC works by defining a set of methods that may be executed by the client.
For example, the server might offer a method "multiply" to the client. Now a
function call

    @result = $client->Call('multiply', $a, $b);

on the client will be mapped to a corresponding call

    $server->multiply($a, $b);

on the server. The function calls result will be transferred to the client and
returned as result of the clients method. Simple, eh? :-)

%prep
%setup -q -n PlRPC
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc ChangeLog README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Apr 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2020-1
- submission

* Thu Mar 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2020-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
